<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.base.manager.mapper.VwShareStMhJgxxbGxMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mosty.base.model.entity.afjcsj.VwShareStMhJgxxbGx">
        <result column="PSR_ARST" property="psrArst" />
        <result column="PSR_EDIO" property="psrEdio" />
        <result column="SEG_DEPTNO" property="segDeptno" />
        <result column="PDT_DEPT" property="pdtDept" />
        <result column="TELNO" property="telno" />
        <result column="PSR_WCBD" property="psrWcbd" />
        <result column="FLT_AIRLCODE" property="fltAirlcode" />
        <result column="PSR_SPE" property="psrSpe" />
        <result column="PSR_HBPRBG" property="psrHbprbg" />
        <result column="STA_DEPTTM" property="staDepttm" />
        <result column="PSR_SEATNBR" property="psrSeatnbr" />
        <result column="WL" property="wl" />
        <result column="PSR_DEP" property="psrDep" />
        <result column="PSR_WTYPE" property="psrWtype" />
        <result column="FILENAME" property="filename" />
        <result column="DEP_ACTION_FLAG" property="depActionFlag" />
        <result column="PSR_CRS" property="psrCrs" />
        <result column="PSR_OUTBOUND" property="psrOutbound" />
        <result column="PSR_RST" property="psrRst" />
        <result column="SBY" property="sby" />
        <result column="CKI_CHG" property="ckiChg" />
        <result column="PSR_OSR" property="psrOsr" />
        <result column="PDT_BIRTHDAY" property="pdtBirthday" />
        <result column="PSR_SPML" property="psrSpml" />
        <result column="PSR_MSG" property="psrMsg" />
        <result column="PSR_EDI_DEST" property="psrEdiDest" />
        <result column="SPECIAL_BG" property="specialBg" />
        <result column="PSR_CKITIME" property="psrCkitime" />
        <result column="PROVINCE" property="province" />
        <result column="PSR_NOTIFY" property="psrNotify" />
        <result column="PSR_AVIH" property="psrAvih" />
        <result column="PSR_RFFI" property="psrRffi" />
        <result column="PSR_EDI_DEPT" property="psrEdiDept" />
        <result column="DELETE_FLAG" property="deleteFlag" />
        <result column="SVC" property="svc" />
        <result column="PSR_INAD" property="psrInad" />
        <result column="PSR_WCBW" property="psrWcbw" />
        <result column="PSR_OFL" property="psrOfl" />
        <result column="PSR_NAME" property="psrName" />
        <result column="CITY" property="city" />
        <result column="PSR_STDRS" property="psrStdrs" />
        <result column="PSR_UNATTACH" property="psrUnattach" />
        <result column="DELETE_FLT_ID" property="deleteFltId" />
        <result column="CMT" property="cmt" />
        <result column="PSR_TSI" property="psrTsi" />
        <result column="PDT_MIDNAME" property="pdtMidname" />
        <result column="PAXCLASS" property="paxclass" />
        <result column="PSR_PIL" property="psrPil" />
        <result column="PSR_BAGS" property="psrBags" />
        <result column="PSR_XT" property="psrXt" />
        <result column="PSR_DEAF" property="psrDeaf" />
        <result column="PSR_WCMD" property="psrWcmd" />
        <result column="PSR_XASR" property="psrXasr" />
        <result column="PSR_BLND" property="psrBlnd" />
        <result column="CERT_TYPE" property="certType" />
        <result column="ICAO_CODE" property="icaoCode" />
        <result column="PSR_HOSTNBR" property="psrHostnbr" />
        <result column="PSR_TYPE" property="psrType" />
        <result column="DATASOURCE" property="datasource" />
        <result column="ADRESS" property="adress" />
        <result column="POSTCODE" property="postcode" />
        <result column="PDT_DEST" property="pdtDest" />
        <result column="PSR_FFFR" property="psrFffr" />
        <result column="FLT_DATE" property="fltDate" />
        <result column="PSR_OFFICE" property="psrOffice" />
        <result column="EDI" property="edi" />
        <result column="SEG_FLTID" property="segFltid" />
        <result column="PSR_BAGGAGE" property="psrBaggage" />
        <result column="FLT_NUMBER" property="fltNumber" />
        <result column="PDT_COUNTRY" property="pdtCountry" />
        <result column="SEG_DEST_CODE" property="segDestCode" />
        <result column="STA_ARVETM" property="staArvetm" />
        <result column="PSR_INFNAME" property="psrInfname" />
        <result column="PSR_GROUP" property="psrGroup" />
        <result column="PSR_RTFI" property="psrRtfi" />
        <result column="PSR_EDII" property="psrEdii" />
        <result column="PSR_BRDNO" property="psrBrdno" />
        <result column="PSR_AGENT" property="psrAgent" />
        <result column="PSR_CHNNAME" property="psrChnname" />
        <result column="STCR" property="stcr" />
        <result column="PSR_CKIPID" property="psrCkipid" />
        <result column="JMP" property="jmp" />
        <result column="PSR_BSCT" property="psrBsct" />
        <result column="PNR_REF" property="pnrRef" />
        <result column="SEG_DESTNO" property="segDestno" />
        <result column="PSR_PCTC" property="psrPctc" />
        <result column="PSR_INBOUND" property="psrInbound" />
        <result column="SN_ID" property="snId" />
        <result column="PSR_INF" property="psrInf" />
        <result column="PSR_SEG_SEATNBR" property="psrSegSeatnbr" />
        <result column="PSR_PSPT" property="psrPspt" />
        <result column="PSR_RUSH" property="psrRush" />
        <result column="PSR_EDI_WARN" property="psrEdiWarn" />
        <result column="PSR_REA" property="psrRea" />
        <result column="PDT_FIRSTNAME" property="pdtFirstname" />
        <result column="PDT_ISSUEDATE" property="pdtIssuedate" />
        <result column="PDT_ISSUE_COUNTRY" property="pdtIssueCountry" />
        <result column="PSR_PSM" property="psrPsm" />
        <result column="PSR_FOID_NONET" property="psrFoidNonet" />
        <result column="CT_DT" property="ctDt" />
        <result column="PDT_LASTNAME" property="pdtLastname" />
        <result column="PSR_STATUS" property="psrStatus" />
        <result column="PSR_XABP" property="psrXabp" />
        <result column="PSR_XRES" property="psrXres" />
        <result column="FFQNO" property="ffqno" />
        <result column="URES" property="ures" />
        <result column="PSR_EXSTSEAT" property="psrExstseat" />
        <result column="PSR_ARRIVE_TIME" property="psrArriveTime" />
        <result column="PSR_SBYNO" property="psrSbyno" />
        <result column="SEG_DEPT_CODE" property="segDeptCode" />
        <result column="PSR_GENDER" property="psrGender" />
        <result column="PSR_VUDGRADE" property="psrVudgrade" />
        <result column="PSR_WCOB" property="psrWcob" />
        <result column="PSR_ASOBOI" property="psrAsoboi" />
        <result column="PSR_SEA" property="psrSea" />
        <result column="PSR_CITYCANC" property="psrCitycanc" />
        <result column="PSR_BAGWGT" property="psrBagwgt" />
        <result column="VIP" property="vip" />
        <result column="DEP_ACTION_TIME" property="depActionTime" />
        <result column="FLT_SUFFIX" property="fltSuffix" />
        <result column="PSR_ACC" property="psrAcc" />
        <result column="PSR_CTCA" property="psrCtca" />
        <result column="PSR_UDGRADE" property="psrUdgrade" />
        <result column="SPECIAL_SEAT" property="specialSeat" />
        <result column="PSR_EMIG" property="psrEmig" />
        <result column="PSR_AEC" property="psrAec" />
        <result column="PDT_BIR_ADRESS" property="pdtBirAdress" />
        <result column="BORDER_TYPE" property="borderType" />
        <result column="PSR_SPML_ID" property="psrSpmlId" />
        <result column="PSR_ICS" property="psrIcs" />
        <result column="PSR_EFMN" property="psrEfmn" />
        <result column="PSR_SIP" property="psrSip" />
        <result column="PSR_PETC" property="psrPetc" />
        <result column="CERT_NO" property="certNo" />
        <result column="PDT_EXPRIRYDATE" property="pdtExprirydate" />
        <result column="PSR_CLASS" property="psrClass" />
        <result column="ETL_OPER_TYPE" property="etlOperType" />
        <result column="ETL_TIMESTAMP" property="etlTimestamp" />
        <result column="ETL_UPDATE_TIME" property="etlUpdateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        PSR_ARST, PSR_EDIO, SEG_DEPTNO, PDT_DEPT, TELNO, PSR_WCBD, FLT_AIRLCODE, PSR_SPE, PSR_HBPRBG,
        STA_DEPTTM, PSR_SEATNBR, WL, PSR_DEP, PSR_WTYPE, FILENAME, DEP_ACTION_FLAG, PSR_CRS, PSR_OUTBOUND,
        PSR_RST, SBY, CKI_CHG, PSR_OSR, PDT_BIRTHDAY, PSR_SPML, PSR_MSG, PSR_EDI_DEST, SPECIAL_BG, PSR_CKITIME,
        PROVINCE, PSR_NOTIFY, PSR_AVIH, PSR_RFFI, PSR_EDI_DEPT, DELETE_FLAG, SVC, PSR_INAD, PSR_WCBW,
        PSR_OFL, PSR_NAME, CITY, PSR_STDRS, PSR_UNATTACH, DELETE_FLT_ID, CMT, PSR_TSI, PDT_MIDNAME, PAXCLASS,
        PSR_PIL, PSR_BAGS, PSR_XT, PSR_DEAF, PSR_WCMD, PSR_XASR, PSR_BLND, CERT_TYPE, ICAO_CODE, PSR_HOSTNBR,
        PSR_TYPE, DATASOURCE, ADRESS, POSTCODE, PDT_DEST, PSR_FFFR, FLT_DATE, PSR_OFFICE, EDI, SEG_FLTID,
        PSR_BAGGAGE, FLT_NUMBER, PDT_COUNTRY, SEG_DEST_CODE, STA_ARVETM, PSR_INFNAME, PSR_GROUP, PSR_RTFI,
        PSR_EDII, PSR_BRDNO, PSR_AGENT, PSR_CHNNAME, STCR, PSR_CKIPID, JMP, PSR_BSCT, PNR_REF, SEG_DESTNO,
        PSR_PCTC, PSR_INBOUND, SN_ID, PSR_INF, PSR_SEG_SEATNBR, PSR_PSPT, PSR_RUSH, PSR_EDI_WARN, PSR_REA,
        PDT_FIRSTNAME, PDT_ISSUEDATE, PDT_ISSUE_COUNTRY, PSR_PSM, PSR_FOID_NONET, CT_DT, PDT_LASTNAME, PSR_STATUS,
        PSR_XABP, PSR_XRES, FFQNO, URES, PSR_EXSTSEAT, PSR_ARRIVE_TIME, PSR_SBYNO, SEG_DEPT_CODE, PSR_GENDER,
        PSR_VUDGRADE, PSR_WCOB, PSR_ASOBOI, PSR_SEA, PSR_CITYCANC, PSR_BAGWGT, VIP, DEP_ACTION_TIME, FLT_SUFFIX,
        PSR_ACC, PSR_CTCA, PSR_UDGRADE, SPECIAL_SEAT, PSR_EMIG, PSR_AEC, PDT_BIR_ADRESS, BORDER_TYPE, PSR_SPML_ID,
        PSR_ICS, PSR_EFMN, PSR_SIP, PSR_PETC, CERT_NO, PDT_EXPRIRYDATE, PSR_CLASS, ETL_OPER_TYPE, ETL_TIMESTAMP,
        ETL_UPDATE_TIME
    </sql>

</mapper>
